#ifndef __CRC_H__
#define __CRC_H__

#include <stdint.h>
#include <stddef.h>

uint8_t crc8_calc(const void *data, size_t length);

uint16_t crc16_calc(const void *data, size_t length);

uint32_t crc32_calc(uint32_t crc, const void *src, size_t size);

#endif
